AbstractLinkingRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.util
[Groovy] Class AbstractLinkingRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer
          grails.rest.render.AbstractIncludeExcludeRenderer
              grails.rest.render.util.AbstractLinkingRenderer

    @groovy.transform.CompileStatic
    abstract class AbstractLinkingRenderer
    extends AbstractIncludeExcludeRenderer

Abstract base class for HAL renderers

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`protected static java.util.List` | `DEFAULT_EXCLUDES`
`static java.lang.String` | `DEPRECATED_ATTRIBUTE`
`static java.lang.String` | `HREFLANG_ATTRIBUTE`
`static java.lang.String` | `HREF_ATTRIBUTE`
`static java.lang.String` | `RELATIONSHIP_SELF`
`static java.lang.String` | `TEMPLATED_ATTRIBUTE`
`static java.lang.String` | `TITLE_ATTRIBUTE`
`static java.lang.String` | `TYPE_ATTRIBUTE`

Property Summary
`boolean` | `absoluteLinks`
`java.lang.String` | `encoding`
`GrailsConventionGroovyPageLocator` | `groovyPageLocator`
`LinkGenerator` | `linkGenerator`
`org.grails.datastore.mapping.model.MappingContext` | `mappingContext`
`org.springframework.context.MessageSource` | `messageSource`
`boolean` | `prettyPrint`
`ProxyHandler` | `proxyHandler`
`RendererRegistry` | `rendererRegistry`

Constructor Summary
`AbstractLinkingRenderer(java.lang.Class targetType, MimeType mimeType)`
`AbstractLinkingRenderer(java.lang.Class targetType, MimeType[] mimeTypes)`

Method Summary
`protected java.lang.String` | `getLinkTitle(org.grails.datastore.mapping.model.PersistentEntity entity, java.util.Locale locale)`
`java.util.Collection` | `getLinksForObject(java.lang.Object object)`
`protected java.lang.String` | `getResourceTitle(java.lang.String uri, java.util.Locale locale)`
`protected boolean` | `isDomainResource(java.lang.Class clazz)`
`void` | `render(java.lang.Object object, RenderContext context)`
`void` | `renderInternal(java.lang.Object object, RenderContext context)`
`protected java.util.Map` | `writeAssociationLinks(RenderContext context, java.lang.Object object, java.util.Locale locale, java.lang.Object writer, org.grails.datastore.mapping.model.PersistentEntity entity, groovy.lang.MetaClass metaClass)`
`protected void` | `writeDomain(RenderContext context, groovy.lang.MetaClass metaClass, org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, java.lang.Object writer)` Writes a domain instance
`protected void` | `writeDomainProperty(java.lang.Object value, java.lang.String propertyName, java.lang.Object writer)`
`protected void` | `writeExtraLinks(java.lang.Object object, java.util.Locale locale, java.lang.Object writer)`
`protected void` | `writeLink(Link link, java.util.Locale locale, java.lang.Object writerObject)`

Methods inherited from class AbstractIncludeExcludeRenderer
excludesProperty, includesProperty, shouldIncludeProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_EXCLUDES

    protected static java.util.List DEFAULT_EXCLUDES

### DEPRECATED_ATTRIBUTE

    public static final java.lang.String DEPRECATED_ATTRIBUTE

### HREFLANG_ATTRIBUTE

    public static final java.lang.String HREFLANG_ATTRIBUTE

### HREF_ATTRIBUTE

    public static final java.lang.String HREF_ATTRIBUTE

### RELATIONSHIP_SELF

    public static final java.lang.String RELATIONSHIP_SELF

### TEMPLATED_ATTRIBUTE

    public static final java.lang.String TEMPLATED_ATTRIBUTE

### TITLE_ATTRIBUTE

    public static final java.lang.String TITLE_ATTRIBUTE

### TYPE_ATTRIBUTE

    public static final java.lang.String TYPE_ATTRIBUTE

Property Detail

### absoluteLinks

    boolean absoluteLinks

### encoding

    java.lang.String encoding

### groovyPageLocator

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    GrailsConventionGroovyPageLocator groovyPageLocator

### linkGenerator

    @org.springframework.beans.factory.annotation.Autowired
    LinkGenerator linkGenerator

### mappingContext

    @org.springframework.beans.factory.annotation.Autowired
    @org.springframework.beans.factory.annotation.Qualifier('grailsDomainClassMappingContext')
    org.grails.datastore.mapping.model.MappingContext mappingContext

### messageSource

    @org.springframework.beans.factory.annotation.Autowired
    org.springframework.context.MessageSource messageSource

### prettyPrint

    boolean prettyPrint

### proxyHandler

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    ProxyHandler proxyHandler

### rendererRegistry

    @org.springframework.beans.factory.annotation.Autowired
    RendererRegistry rendererRegistry

Constructor Detail

### AbstractLinkingRenderer

    AbstractLinkingRenderer(java.lang.Class targetType, MimeType mimeType)

### AbstractLinkingRenderer

    AbstractLinkingRenderer(java.lang.Class targetType, MimeType[] mimeTypes)

Method Detail

### getLinkTitle

    protected java.lang.String getLinkTitle(org.grails.datastore.mapping.model.PersistentEntity entity, java.util.Locale locale)

### getLinksForObject

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    java.util.Collection getLinksForObject(java.lang.Object object)

### getResourceTitle

    protected java.lang.String getResourceTitle(java.lang.String uri, java.util.Locale locale)

### isDomainResource

    protected boolean isDomainResource(java.lang.Class clazz)

### render

    @java.lang.Override
    final void render(java.lang.Object object, RenderContext context)

### renderInternal

    void renderInternal(java.lang.Object object, RenderContext context)

### writeAssociationLinks

    protected java.util.Map writeAssociationLinks(RenderContext context, java.lang.Object object, java.util.Locale locale, java.lang.Object writer, org.grails.datastore.mapping.model.PersistentEntity entity, groovy.lang.MetaClass metaClass)

### writeDomain

    protected void writeDomain(RenderContext context, groovy.lang.MetaClass metaClass, org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, java.lang.Object writer)

  Writes a domain instance
  Parameters:
    `clazz` - The class
    `object` - The object
    `writer` - The writer
  Returns:
    Any associations embedded within the object

### writeDomainProperty

    protected void writeDomainProperty(java.lang.Object value, java.lang.String propertyName, java.lang.Object writer)

### writeExtraLinks

    protected void writeExtraLinks(java.lang.Object object, java.util.Locale locale, java.lang.Object writer)

### writeLink

    protected void writeLink(Link link, java.util.Locale locale, java.lang.Object writerObject)

Groovy Documentation